Subject: Re: [Feature Request] Allow batch removal of remotes with 'git remote remove'

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 22 Jan 2025 10:40:17 +0100

On Wed, Jan 22, 2025 at 02:24:38AM +0000, brian m. carlson wrote:
> [0] Sometime back I reported that `git remote rename` on a fresh clone
> with 45,000 refs took about 45 minutes.  The reason I didn't choose the
> remote name on the original clone (with `-o`) is because it was in a
> GitHub Codespace, which had cloned it for me already.  Fortunately, this
> is now down to about 55 to 78 seconds with reftable, which is a major
> improvement, and I'm sure we could do better still.

That's awesome. Thanks a lot for playing around with reftables and
reporting your bugs and findings, I really appreciate it. This kind of
information is invaluable to us.

Patrick